"use strict";

/* exported messages */
/* exported notifications */
/* exported particles */
/* exported music */
/* exported voice */
/* exported sound */
/* exported videos */
/* exported images */
/* exported scenes */
/* exported characters */
/* exported script */

/* global storage */

// Define the messages used in the game.
let messages = {
};

// Define the notifications used in the game
let notifications = {
	// "GetItem": {
	// 	title: "You got an item!",
	// 	body: "You just got a " + storage.notification.item,
	// 	icon: "img/ui/{{notification.icon}}.png"
	// }
};

// Define the Particles JS Configurations used in the game
let particles = {

};

// Define the music used in the game.
const music = {
	"Main": "RPG-MistyMountains.mp3",
	"HE": "Mount-fuju.mp3",
};

// Define the voice files used in the game.
const voice = {

};

// Define the sounds used in the game.
const sound = {
	"Bell01": "bell_01.ogg",
	"Bell02": "bell_02.ogg",
	"Bell03": "bell_03.ogg",
	"Gong01": "gong_01.ogg",
	"Gong02": "gong_02.ogg"
};

// Define the videos used in the game.
const videos = {

};

// Define the images used in the game.
const images = {
	"bell": "bell.png",
	"jade_crest": "jade_crest.png",
};

// Define the backgrounds for each scene.
const scenes = {
	"hall": "bg_hall.jpg",
	"mc_bedroom": "mc_bedroom.jpg",
	"npc_bedroom": "npc_bedroom.jpg",
	"punishment_hall": "punishment_hall.jpg",
	"game_over": "game_over.jpg",
	"he_kiss": "he_kiss.jpg",
	"he_smirk": "he_smirk.jpg",
	"be_bg": "be_bg.jpg",
	"he_bg": "he_bg.jpg"
};

// Define the Characters
const characters = {
	"MC": {
		"Name": "Zhou Linqi",
		"Color": "#fff",
		"Directory": "MC", // Optional*
		"Images": { // Images Identifier for the "Show" statement.
			"Normal": "normal.png",
		},
		"Face": "normal.png", // Optional, side image to show every time the character speaks.
		"Side": { // Side images identifiers to show on dialogs when the character speaks with a colon and side image name, like e:Smiling
			"Normal": "normal.png"
		}
	},
	"ML": {
		"Name": "Chen Tianhe",
		"Color": "#fff",
		"Directory": "ML", // Optional*
		"Images": { // Images Identifier for the "Show" statement.
			"Normal": "normal.png",
			"Smile": "smile.png",
			"Evil_Normal": "evil_normal.png",
			"Evil_Angry": "evil_angry.png"
		}
	},
	"LX": {
		"Name": "Li Xun",
		"Color": "#fff",
		"Directory": "LX", // Optional*
		"Images": { // Images Identifier for the "Show" statement.
			"Normal": "normal.png",
		}
	},
	"LR": {
		"Name": "Li Ren",
		"Color": "#fff",
		"Directory": "LR", // Optional*
		"Images": { // Images Identifier for the "Show" statement.
			"Normal": "normal.png",
		}
	},
	"SJM": {
		"Name": "Shang Junming",
		"Color": "#fff",
		"Directory": "SJM", // Optional*
		"Images": { // Images Identifier for the "Show" statement.
			"Normal": "normal.png",
		}
	},
	"YLY": {
		"Name": "Yan Lanye",
		"Color": "#fff",
		"Directory": "YLY", // Optional*
		"Images": { // Images Identifier for the "Show" statement.
			"Normal": "normal.png",
		}
	},
	"GD": {
		"Name": "Guard",
		"Color": "#fff",
		"Face": "Guard.png", // Optional, side image to show every time the character speaks.
	}
};

let script = {
	"TalkToChoices": [
		"scene hall",
		"hide SJM",
		"hide YLY",
		"hide LR",
		"hide LX",
		"hide ML",
		{
			"Conditional": {
				"Condition": function () {
					return storage.story.progress == 1 &&
						(!("ml" in storage.testimony.jade) ||
							!("sjm" in storage.testimony.jade) ||
							!("lr" in storage.testimony.jade));
				},
				"True": "jump HintJadeCrest",
				"False": "jump ConditionalJadeCrest"
			}
		},
	],
	"ConditionalJadeCrest": [
		{
			"Conditional": {
				"Condition": function () {
					return storage.testimony.jade.ml == 1 &&
						storage.testimony.jade.sjm == 1 &&
						storage.testimony.jade.lr == 1;
				},
				"True": "jump SearchJadeCrest",
				"False": "jump TalkChoicesDialogues"
			}
		},
	],
	"HintJadeCrest": [
		"MC I should ask about the demonic jade crest...",
		"jump TalkChoicesDialogues"
	],
	"SearchJadeCrest": [`
MC The real jade crest was in concealment according to Chen Tianhe. If that is true, where did the demonic jade crest come from? I need to confirm his claim.
show LX Normal
MC Shishu, I found a new trail and need to inspect Chen Tianhe’s courtyard for crucial evidence.
LX What did you uncover?
MC It has not been confirmed yet, but there might be another jade crest in existence.
LX Another one?
MC Yes, he vehemently denies his ownership over the demonic artifact, and even told me the whereabouts of the real one.
LX What did he tell you? He could be lying to buy himself more time.
MC I didn’t exclude that possibility. But I have reason to believe that his jade crest isn’t a demonic artifact.
LX Is that reason credible?
MC Of course. The jade crest was my welcoming gift for him. It wasn’t a magic tool at all.
LX I see, but even the purest jade can blacken under the wrong master.
MC Whether the demonic jade crest is truly the jade crest he had been wearing all this time will be revealed after I conduct a search of his living quarters.
MC That’s why, I’m requesting an entry pass from Shishu to open the barrier around Shidi’s residence.
LX I’ll grant you the entry pass. However, don’t let your former personal relationship muddle your judgement.
hide LX
scene #000
Zhou Linqi went to Chen Tianhe’s courtyard. As he headed towards his destination, an inexplicable feeling of nostalgia and uneasiness swept over him.
MC Not only is it close to my living quarters but the atmosphere here is indescribably comfortable... Could it be that I was here very often?
As soon as he reached the entrance to Chen Tianhe’s small courtyard, an invisible wall obstructed his path.
Zhou Linqi held out a plaque and the qi of the barrier fluctuated momentarily before separating to form a small opening.
He went towards the door when he noticed a shadow disappearing into the forest from the corner of his eyes.
MC A curious onlooker?
Zhou Linqi proceeded to retrieve the jade crest from the hidden space, but as soon as he lifted the lid of the small box…
MC It’s empty?
MC There was no jade crest. Did Chen Tianhe lie to me? I need to question him again.
MC !?
wait 500
play sound Bell01
wait 300
play sound Bell02
wait 300
play sound Bell03
wait 500
play sound Gong01
wait 800
play sound Gong02
wait 300
play sound Gong02
wait 300
play sound Gong02
wait 1000
show LR Normal with fadeIn
LR Huff…
MC Where is that rustling noise coming from? And that sound of huffing…Li Ren? What is that charred circular object in his hand?
MC Fellow brother Li—
hide LR
GD Esteemed immortal Zhou and immortal Li, please follow me to the punishment hall. It’s important.
MC What happened?
GD One of the unconscious disciples who was injured in Mo Yao Forest passed away. All disciples involved and still able to move are ordered to assemble in the hall for further instructions.
MC I understand.
scene hall
show LX Normal
LX Chen Tianhe, if you confess now, there is still a chance for the heavens to be lenient to you.
hide LX
show ML Normal
ML A true cultivator will never bend in the face of injustice. I won’t confess to a crime I didn’t commit.
hide ML
MC Shishu, what happened?
show LX Normal
LX Linqi, a disciple died. We can’t put off the trial anymore. You need to name the culprit now.
hide LX
	`,
		{
			"Choice": {
				"Dialog": "Who is the culprit?",
				"ML": {
					"Text": "Chen Tianhe",
					"Do": "jump AccuseML"
				},
				"SJM": {
					"Text": "Shang Junming",
					"Do": "jump AccuseSJM"
				},
				"LR": {
					"Text": "Li Ren",
					"Do": "jump AccuseLR"
				},
				"YLY": {
					"Text": "Yan Lanye",
					"Do": "jump AccuseYLY"
				},
			}
		}
	],
	"TalkChoicesDialogues": [
		{
			"Choice": {
				"Dialog": "(I need to speak to the people involved in this and listen what they have to say)",
				"LR": {
					"Text": "Talk to Li Ren.",
					"Do": "jump TalkToLR"
				},
				"SJM": {
					"Text": "Talk to Shang Junming.",
					"Do": "jump TalkToSJM"
				},
				"YLY": {
					"Text": "Talk to Yan Lanye.",
					"Do": "jump TalkToYLY"
				},
				"ML": {
					"Text": "Talk to Chen Tianhe.",
					"Do": "jump TalkToML"
				},
				"LX": {
					"Text": "Talk to Shishu Li Xun.",
					"Do": "jump TalkToLX",
					"Condition": function () {
						return storage.testimony.array.sjm == 1 &&
							storage.testimony.array.yly == 1
					}
				},
			}
		}

	]
};
